comedi_command_test
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_command_test — test streaming input/output configuration

## Synopsis

    #include <comedilib.h>

`int comedi_command_test(` | comedi_t * device,
| comedi_cmd * command`)`;

## Description

The function `comedi_command_test` tests the command structure pointed to by the parameter `command` and returns an integer describing the testing stages that were successfully passed. In addition, if elements of the comedi_cmd structure are invalid, they may be modified. Source elements are modified to remove invalid source triggers. Argument elements are adjusted or rounded to the nearest valid value.

## Return value

The meanings of the return value are as follows:

- `0` indicates a valid command.

- `1` indicates that one of the `…_src` members of the command contained an unsupported trigger. The bits corresponding to the unsupported triggers are zeroed.

- `2` indicates that the particular combination of `…_src` settings is not supported by the driver, or that one of the `…_src` members has the bit corresponding to multiple trigger sources set at the same time.

- `3` indicates that one of the `…_arg` members of the command is set outside the range of allowable values. For instance, an argument for a `TRIG_TIMER` source which exceeds the board's maximum speed. The invalid `…_arg` members will be adjusted to valid values.

- `4` indicates that one of the `…_arg` members required adjustment. For instance, the argument of a `TRIG_TIMER` source may have been rounded to the nearest timing period supported by the board.

- `5` indicates that some aspect of the command's `chanlist` is unsupported by the board. For example, some analog input boards require that all channels in the chanlist use the same input range.

On failure, `-1` is returned.

Prev | Up | Next
comedi_command | Home | comedi_get_buffer_contents